#!/bin/csh

# Set Lagranto 
set LAGRANTO = ${LAGRANTOBASE}.${MODEL}/

# Write usage information
if ( ${#argv} == 0) then
  echo 
  ${LAGRANTO}/bin/lagrantohelp lsl2rdf short
  echo  
  exit 0
endif

# Get requested arguments
set inpfile=$1
set outfile=$2

# Handle optional arguments
set pollon = 0
set pollat = 90

while ( $#argv > 0 )

  switch ( $argv[1] )

   case -lonlat
     set pollon = $argv[2]
     set pollat = $argv[3]
     shift; shift;
   breaksw

  endsw
 
  shift;

end


set prog1=${LAGRANTO}/goodies/lsl2rdf

set dim=`${LAGRANTO}/goodies/trainfo.sh ${inpfile} dim` 

\rm -f lsl2rdf.param
echo \"${inpfile}\"       >! lsl2rdf.param
echo \"${outfile}\"       >> lsl2rdf.param
echo ${dim}               >> lsl2rdf.param
echo ${pollon} ${pollat}  >> lsl2rdf.param

${prog1}

#\rm -f lsl2rdf.param

exit 0

